<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Channel {{ channel.name }}</title>

    <!--style.css-->
    <link rel="stylesheet" href="../static/css/style.css">
</head>
<body>
<div class="card">
    <div class="chat">
        <!-- Chat Header -->
        <div class="chat-header clearfix">
            <div class="row">
                <a href="{{ url_for('home_page') }}" style="float: right;">
                    <img src="../static/img/home.png" alt="Home">
                </a> 
                <a href="#popup-box">
                    <img src="../static/img/info.png" alt="i">
                </a>
                {% if channel.name == "Say Cheese!" %}
                    <img src="../static/img/cheese01.png" alt="avatar">
                    <h4>Cheesomat</h4>
                {% elif channel.name == "Hangman" %}
                    <img src="../static/img/grim.png" alt="avatar">
                    <h4>{{channel.name}}</h4>
                {% else %}
                    <img src="../static/img/bot.png" alt=" ">
                    <h4>{{channel.name}}</h4>
                {% endif %}
                
            </div>
        </div>
        <!-- Chat History -->
        <div class="chat-history">
            {% if channel %}
                {% for message in messages %}
                    {% if message.sender == channel.name %}
                        <li class="clearfix">
                            <div class="message-data">
                                {% if channel.name == "Hangman" %}
                                    <img src="../static/img/grim.png" alt=" ">
                                {% else %}
                                    <img src="../static/img/bot.png" alt=" "> 
                                {% endif %}
                                <span class="message-data-time">{{ message.timestamp }}</span>
                            </div>
                            <div class="message bot-color bot">{{ message.content }}</div>                                    
                        </li>
                    {% elif message.sender == "Cheesomat" %}
                        <li class="clearfix">
                            <div class="message-data">
                                <img src="../static/img/cheese01.png">
                                <span class="message-data-time">{{ message.timestamp }}</span>
                            </div>
                            <div class="message cheesomat bot">{{ message.content }}</div>                                    
                        </li>
                    {% else %} <!-- messages from users -->
                        <li class="clearfix float-right">
                            <div class="message-data text-right">
                                <h5>{{ message.sender }}</h5>
                                <span class="message-data-time">{{ message.timestamp }}</span> 
                            </div>
                            {% if channel.name == "Say Cheese!" %}
                                <div class="message other-message user-cheese"> {{ message.content }} </div>
                            {% else %}
                                <div class="message other-message user"> {{ message.content }} </div>
                            {% endif %}
                            </li>
                    {% endif %}

                {% endfor %} <!-- messages loop -->
            {% else %}   <!-- if no channel is found -->
                <li class="clearfix">
                    <div class="message warning"> No Channel found! </div>
                </li>
            {% endif %}

            <!-- POP UP -->
            <div id="popup-box" class="modal">
                <div class="content">
                    <h1>{{channel.name}}</h1>
                    {% if channel.name == "Say Cheese!" %}
                        <b>
                            <p>All chat here must be cheese-based! Type "!suggestion" for a cheesy recommendation.</p>
                        </b>
                    {% elif channel.name == "Hangman" %}
                        <b>
                            <p>Type "new game" to start a new game, you have 8 lives.</p> <br> 
                            <p>Good luck!</p>
                        </b>
                    {% else %}
                        <b>
                            <p>This is a channel unknown to the client, you'll have to figure it out yourself!</p>
                        </b>
                    {% endif %}
                    <a href="#" class="box-close">x</a>
                </div>
            </div>
            
        </div>
        <!-- Input fields -->
        <div class="card clearfix">
            <form action="post" method="post">
                <input type="hidden" name="channel" value="{{ channel.endpoint | urlencode }}">
                <table>
                    <tr>
                        <td><label for="message">Message</label></td>
                        <td style="width: 70%;"><input type="text" name="content" id="content" placeholder="Enter your message here..."> </td>
                        <td rowspan="2">
                            <input type="image" src="../static/img/send.png" alt="Post">
                        </td>
                    </tr>
                    <tr>
                        <td><label for="sender">Sender</label></td>
                        <td><input type="text" name="sender" id="sender" placeholder="Enter sender here..."> </td>
                    </tr>
                </table>
                
            </form>
        </div>

    </div>
</div>
</body>
</html>

